Subject: 26.2; doc string of `read-buffer'

From: Drew Adams <[email-masked]>
Date: Sun, 21 Apr 2019 15:02:37 +0000 (UTC)

The doc string does not tell you what the completion candidates are
(they are apparently singleton conses with car a buffer name).  So
it is impossible for a user to know what kind of PREDICATEs to define, 
i.e., what kinds of completion candidates are to be accepted as arg
and tested.

Usually (e.g. for `completing-read') we tell users that PREDICATE is as
specified for `try-completion' etc.  That info is missing here.

In GNU Emacs 26.2 (build 1, x86_64-w64-mingw32)
 of 2019-04-13
Repository revision: fd1b34bfba8f3f6298df47c8e10b61530426f749
Windowing system distributor `Microsoft Corp.', version 10.0.17134
Configured using:
 `configure --without-dbus --host=x86_64-w64-mingw32
 --without-compress-install 'CFLAGS=-O2 -static -g3''